Debian Bug report logs - #534866
RFP: kernelcheck -- tool for an automated build of a kernel from the latest source

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Steven Pusser <steven.pusser2@gmail.com>

Date: Sat, 27 Jun 2009 18:06:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534866; Package wnpp. (Sat, 27 Jun 2009 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Pusser <steven.pusser2@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sat, 27 Jun 2009 18:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Pusser <steven.pusser2@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: kernelcheck -- tool for an automated build of a kernel from the latest source
Date: Sat, 27 Jun 2009 10:57:01 -0700
Package: wnpp
Severity: wishlist

KernelCheck is a Python-based GUI that checks kernel.org  and the
Master Kernel thread on the Ubuntu forums
for the latest Linux kernel sources and patches, then installs the
kernel build tools, installs custom patches
as requested, brings up xconfig for customization, builds the kernel
image and header debs using a settable number of threads, then
optionally installs the debs.  It is released under the GPL 3 license.

Originally developed for use on Ubuntu, we had a request to add it to
the Mepislovers Community Repository  (Mepis is a Lenny
based distro) which I managed to do for the older version, Hopestar.
I was recently contacted by the application's main developer,
Master Kernel, for assistance in packaging the new 1.2.5 release,
Lumen, in which we were successful.  Master Kernel encountered some
potential problems at mentors.debian.net due to his wish to remain
anonymous, so he asked me to take over as the prospective
Debian maintainer.  His previous upload of the sources to
mentors.debian.net was vetted and a few problems were fixed, so he has
removed his upload.

The URL of my kernelcheck upload is :
http://mentors.debian.net/debian/pool/main/k/kernelcheck

The respective dsc file can be found at:
http://mentors.debian.net/debian/pool/main/k/kernelcheck/kernelcheck_1.2.5-1.dsc




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534866; Package wnpp. (Sat, 27 Jun 2009 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 27 Jun 2009 22:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 534866@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Steven Pusser <steven.pusser2@gmail.com>, 534866@bugs.debian.org
Cc: debian-mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#534866: ITP: kernelcheck -- tool for an automated build of a kernel from the latest source
Date: Sun, 28 Jun 2009 00:55:57 +0200
On Sat, Jun 27, 2009 at 19:57, Steven Pusser<steven.pusser2@gmail.com> wrote:
> Package: wnpp
> Severity: wishlist
>
> KernelCheck is a Python-based GUI that checks kernel.org  and the
> Master Kernel thread on the Ubuntu forums
> for the latest Linux kernel sources and patches, then installs the

is this somehow related to Debian? Can be used on a debian system in a
productive way?

> kernel build tools, installs custom patches
> as requested, brings up xconfig for customization, builds the kernel
> image and header debs using a settable number of threads, then
> optionally installs the debs.  It is released under the GPL 3 license.
>
> Originally developed for use on Ubuntu, we had a request to add it to
> the Mepislovers Community Repository  (Mepis is a Lenny
> based distro) which I managed to do for the older version, Hopestar.

again, what about Debian?

> I was recently contacted by the application's main developer,
> Master Kernel, for assistance in packaging the new 1.2.5 release,
> Lumen, in which we were successful.  Master Kernel encountered some
> potential problems at mentors.debian.net due to his wish to remain
> anonymous, so he asked me to take over as the prospective
> Debian maintainer.  His previous upload of the sources to
> mentors.debian.net was vetted and a few problems were fixed, so he has
> removed his upload.
>
> The URL of my kernelcheck upload is :
> http://mentors.debian.net/debian/pool/main/k/kernelcheck
>
> The respective dsc file can be found at:
> http://mentors.debian.net/debian/pool/main/k/kernelcheck/kernelcheck_1.2.5-1.dsc

ITP bugs must be filed *before* start preparing a package (ideally,
the moment you studied enough the perspective upstream project and
evaluated interesting for Debian) and not after it'sdone (like in this
case). For example: is the ITP closed in the apckage on mentors? (I
didn't check, to be honest)

CCed to -mentors so you can keep the replies there.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534866; Package wnpp. (Sun, 28 Jun 2009 11:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 28 Jun 2009 11:09:13 GMT) Full text and rfc822 format available.

Message #15 received at 534866@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Steven Pusser <steven.pusser2@gmail.com>, 534866@bugs.debian.org, debian-mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#534866: ITP: kernelcheck -- tool for an automated build of a kernel from the latest source
Date: Sun, 28 Jun 2009 12:58:03 +0200
Hello Steven,
please keep the recipients list, replying in public so this discussion
can interest also other people.

On Sun, Jun 28, 2009 at 02:24, Steven Pusser<steven.pusser2@gmail.com> wrote:
> On Sat, Jun 27, 2009 at 3:55 PM, Sandro Tosi<morph@debian.org> wrote:
>> On Sat, Jun 27, 2009 at 19:57, Steven Pusser<steven.pusser2@gmail.com> wrote:
>>> Package: wnpp
>>> Severity: wishlist
>>>
>>> KernelCheck is a Python-based GUI that checks kernel.org  and the
>>> Master Kernel thread on the Ubuntu forums
>>> for the latest Linux kernel sources and patches, then installs the
>>
>> is this somehow related to Debian? Can be used on a debian system in a
>> productive way?
>
> Thank you for your reply.
>
> It's had quite a bit of testing on the Simply Mepis  8.0.6, which is
> essentially Lenny under the hood.  It depends on Python >= 2.5.
> Unless the kernel building tools in Debian are renamed upstream, it
> should work on all versions except oldstable.

You didn't answer my question: can this package be useful to a Debian user?

> It's mainly a tool for anyone that wants to easily customize their own
> kernel; maybe optimize and strip out unwanted drivers.  I realize

Not from how you introduced it: it takes information from an ubuntu
forum (that's not the most fortunate decision) so it doesn't seem so
general purpose as you're asserting right above.

> Debian maintains an experimental kernel build repository that may
> duplicate much of this package's results.

and so again: what's the point of this package in Debian? I don't care
if Mepis is interested in it, it *must* be useful for Debian in the
first place.

> Master Kernel didn't file an ITP, and I didn't until after I put it up
> in the mentors repository.

and that's wrong, and already axplained

>  Should I pull the sources off there and
> upload them elsewhere?  I realize I'm going about this backwards, but
> we worked on the packaging first to get it into his PPA and the Lenny
> compatible Mepislovers community repo.  Later came the idea to see if
> it was worth trying to get it into Debian.

I think it's not that useful here, but I look forward for other comments.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534866; Package wnpp. (Sun, 28 Jun 2009 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Master Kernel <master.kernel.contact@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 28 Jun 2009 16:03:10 GMT) Full text and rfc822 format available.

Message #20 received at 534866@bugs.debian.org (full text, mbox):

From: Master Kernel <master.kernel.contact@gmail.com>
To: 534866@bugs.debian.org
Subject: Re: Bug#534866: ITP: kernelcheck -- tool for an automated build of a , kernel from the latest source
Date: Sun, 28 Jun 2009 11:40:02 -0400
>>> KernelCheck is a Python-based GUI that checks kernel.org  and the
>>> Master Kernel thread on the Ubuntu forums
>>> for the latest Linux kernel sources and patches, then installs the
>>
>> is this somehow related to Debian? Can be used on a debian system in a
>> productive way?

Sorry - this is the description on the website that is incredibly outdated - dating back 2-3 years ago. This is the official new description:

KernelCheck is a project that is designed to automatically build any
2.6 kernel from the upstream source. KernelCheck can help users fix
hardware problems and improve boot time by customizing the kernel
configuration.

As you can see, KernelCheck allows the user to fix hardware problems because of lack of support in the generic kernel. It can also let users deselect options that they do not need in order to optimize their computer. Maybe the user is running a server and doesn't need all the modules in the server kernel, so they compile a barebones kernel.

That's just my take on it.


Master Kernel







Owner recorded as Steven Pusser <steven.pusser2@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 10 Jul 2009 18:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steven Pusser <steven.pusser2@gmail.com>:
Bug#534866; Package wnpp. (Sat, 19 Feb 2011 17:25:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steven Pusser <steven.pusser2@gmail.com>. (Sat, 19 Feb 2011 17:25:08 GMT) Full text and rfc822 format available.

Message #27 received at 534866@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 534866@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kernelcheck: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:57 +0000
retitle 534866 RFP: kernelcheck -- tool for an automated build of a kernel from the  latest source
noowner 534866
thanks

Hi,

This is an automatic email to change the status of kernelcheck back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting kernelcheck, please send a mail to
<control@bugs.debian.org> with:

 retitle 534866 ITP: kernelcheck -- tool for an automated build of a kernel from the  latest source
 owner 534866 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <534866@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: kernelcheck -- tool for an automated build of a kernel from the latest source' from 'ITP: kernelcheck -- tool for an automated build of a kernel from the latest source' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:27:01 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Steven Pusser <steven.pusser2@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:27:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: kernelcheck -- tool for an automated build of a kernel from the latest source' from 'RFP: kernelcheck -- tool for an automated build of a kernel from the latest source' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:18:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.